Miracle Docs
Roles

Create a new role

POST
/v1/roles
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.miracle.com/v1/roles" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "layer": "merchant",    "permissions": [      "string"    ]  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "layer": "merchant",
    "name": "string",
    "description": "string",
    "isSystem": true,
    "permissions": [
      "string"
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z",
    "deletedAt": "2019-08-24T14:15:22Z"
  }
}
Empty
Empty

On this page